Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.jwcache
Class StringSectionId

`java.lang.Object
oracle.jsp.jwcache.StringSectionId`

All Implemented Interfaces:
  SectionId

public class StringSectionId
extends java.lang.Object
implements SectionId

String version of SectionId (as opposed to `NumberSectionId`). This version of SectinId is mainly to store or retrieve a cache entry under a particular URL/page under an auto-type cache policy (i.e. `NON-TYPE_USERSPECIFIED`).

For example, an cache object can be stored under the name "foo1" under "/dir1/mypage.jsp?p1=v1". The cache object can be retrieved under the same name later. Similarly, the cache object can be invalidated under the same name. It is different from `TYPE_USERSPECIFIED` cache. With using this `StringSectionId`, developers can still enjoy all the naming convenience and benefit of an auto cache policy, such as, using selected parameters feature, a sensible web-based naming hierarchy.

A more concrete example is: if caches under "/dir1/mypage.jsp?p1=v1" are invalidated on the page level, "foo1" will be invalidated at the same time. No need to keep track the relation explicitly yourself.

Constructor Summary
`StringSectionId(java.lang.String s)` The constructor of StringSectionId: the given string cannot be null; cannot be zero length; cannot begin with a number

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringSectionId

    public StringSectionId(java.lang.String s)

  The constructor of StringSectionId: the given string cannot be null; cannot be zero length; cannot begin with a number

Method Detail

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `SectionId`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.